<?php

/**
 * @file
 * This file contains the primary pages of this module.
 */

/**
 * A simple form for calculate the pricing.
 */
function chilexpress_calculation_pricing_form($form, &$form_state) {
  $communes = chilexpress_get_communes(CHILEXPRESS_COVER_TYPE_ADMISSION);

  $form['origin'] = array(
    '#type' => 'select',
    '#title' => t('Origin'),
    '#options' => $communes,
    '#required' => TRUE,
  );

  $communes = chilexpress_get_communes(CHILEXPRESS_COVER_TYPE_DELIVERY);

  $form['destination'] = array(
    '#type' => 'select',
    '#title' => t('Destination'),
    '#options' => $communes,
    '#required' => TRUE,
  );

  $form['weight'] = array(
    '#type' => 'textfield',
    '#title' => t('Weight'),
    '#default_value' => 10,
    '#size' => 5,
    '#field_suffix' => t('Kg'),
    '#element_validate' => array('element_validate_integer'),
    '#required' => TRUE,
  );
  $form['width'] = array(
    '#type' => 'textfield',
    '#title' => t('Width'),
    '#default_value' => 10,
    '#size' => 5,
    '#field_suffix' => t('cm'),
    '#element_validate' => array('element_validate_integer'),
    '#required' => TRUE,
  );
  $form['high'] = array(
    '#type' => 'textfield',
    '#title' => t('High'),
    '#default_value' => 10,
    '#size' => 5,
    '#field_suffix' => t('cm'),
    '#element_validate' => array('element_validate_integer'),
    '#required' => TRUE,
  );

  $form['long'] = array(
    '#type' => 'textfield',
    '#title' => t('Long'),
    '#default_value' => 10,
    '#size' => 5,
    '#field_suffix' => t('cm'),
    '#element_validate' => array('element_validate_integer'),
    '#required' => TRUE,
  );

  $form['actions'] = array(
    '#type' => 'actions',
  );

  $form['actions']['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Calculate'),
  );

  return $form;
}


/**
 * Submit callback.
 */
function chilexpress_calculation_pricing_form_submit($form, &$form_state) {
  $values = $form_state['values'];

  $results = chilexpress_calculate_pricing($values);
  $items = array();
  $title = t('Services Available');
  if ($results) {
    foreach ($results as $result) {
      $items[] = $result->GlsServicio . ': $' . number_format($result->ValorServicio, 0);
    }
  }

  $type_message = 'status';
  if (empty($items)) {
    $title = t('No services was detected');
    $type_message = 'warning';
  }
  $output = theme('item_list', array('items' => $items, 'title' => $title));
  drupal_set_message($output, $type_message);
}