<?php

/**
 * @file
 * This file contains the class WebpayTransactionService.
 */

/**
 * A normal transaction service.
 */
class WebpayTransactionService extends WebpaySoap implements WebpayServiceInterface {

  /**
   * {@inheritdoc}
   */
  public function setupWsdl() {
    if ($this->environment == WEBPAY_ENVIRONMENT_PROD) {
      return 'https://webpay3g.transbank.cl/WSWebpayTransaction/cxf/WSWebpayService?wsdl';
    }

    return 'https://webpay3gint.transbank.cl/WSWebpayTransaction/cxf/WSWebpayService?wsdl';
  }

  /**
   * {@inheritdoc}
   */
  public function mappingInput() {
    return array(
      'initTransaction' => array(
        'wsInitTransactionInput' => array(
          'wSTransactionType' => '',
          'commerceId' => '',
          'buyOrder' => '',
          'sessionId' => '',
          'returnURL' => '',
          'finalURL' => '',
          'transactionDetails' => array(
            'sharesAmount' => '',
            'sharesNumber' => '',
            'amount' => '',
            'commerceCode' => '',
            'buyOrder' => '',
          ),
        ),
      ),
      'getTransactionResult' => array(
        'tokenInput' => '',
      ),
      'acknowledgeTransaction' => array(
        'tokenInput' => '',
      ),
    );
  }

  /**
   * {@inheritdoc}
   */
  public function mappingOutput() {
    return array();
  }
}