<?php

/**
 * @file
 * Implements functionality for to use Webpay as payment gateway.
 *
 * This is a base module that has submodules to implement specific functions.
 * In case that a new commerce module appears.
 */


/**
 * This hook is invoked when webpay accept the transaction.
 *
 * Here you can finish a local transaction of your commerce system.
 *
 * @param string $instance_id
 *   The instance ID that uses the payment.
 * @param object $config
 *   The configuration of the commerce code.
 * @param WebpayTransaction $webpay_transaction
 *   The WebpayTransaction object.
 */
function hook_webpay_transaction_accepted($instance_id, $config, $webpay_transaction) {
  // Do some thing.
}


/**
 * This hook is invoked when webpay reject the transaction.
 *
 * Here you can cancel a local transaction of your commerce system.
 *
 * @param string $instance_id
 *   The instance ID that uses the payment.
 * @param object $config
 *   The configuration of the commerce code.
 * @param WebpayTransaction $webpay_transaction
 *   The WebpayTransaction object.
 */
function hook_webpay_transaction_rejected($instance_id, $config, $webpay_transaction) {
  // Do some thing.
}
